%{?python_enable_dependency_generator}

Name:           pywbem
Version:        1.7.2
Release:        %mkrel 2
Summary:        Python WBEM client interface and related utilities
License:        LGPLv2
Group:          Development/Python
URL:            https://github.com/pywbem/pywbem
Source0:        https://github.com/pywbem/pywbem/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  python3-pip
BuildRequires:  python3-PyYAML
BuildRequires:  python3-ply
BuildRequires:  python3-rpm-macros
BuildRequires:  python3-pbr
BuildRequires:  python3-devel
BuildArch:      noarch

%description
A Python library for making CIM (Common Information Model) operations over HTTP\
using the WBEM CIM-XML protocol. It is based on the idea that a good WBEM\
client should be easy to use and not necessarily require a large amount of\
programming knowledge. It is suitable for a large range of tasks from simply\
poking around to writing web and GUI applications.\
\
WBEM, or Web Based Enterprise Management is a manageability protocol, like\
SNMP, standardized by the Distributed Management Task Force (DMTF) available\
at https://dmtf.org/standards/wbem.\
\
It also provides a Python provider interface, and is the fastest and\
easiest way to write providers on the planet.

%package -n python3-pywbem
Summary:        Python3 WBEM Client and Provider Interface
Group:          Development/Python
BuildArch:      noarch

%description -n python3-pywbem
A WBEM client allows issuing operations to a WBEM server, using the CIM
operations over HTTP (CIM-XML) protocol defined in the DMTF standards DSP0200
and DSP0201. The CIM/WBEM infrastructure is used for a wide variety of systems
management tasks supported by systems running WBEM servers. See WBEM Standards
for more information about WBEM.

%prep
%autosetup -p1

sed -i 's|setuptools!=61.0.0|setuptools>62.0.0|' requirements.txt

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

rm -rf %{buildroot}%{_bindir}/*.bat

%files -n python3-pywbem
%license LICENSE.txt
%doc README.md
%{python3_sitelib}/*.dist-info
%{python3_sitelib}/pywbem/
%{python3_sitelib}/pywbem_mock/
%{_bindir}/mof_compiler


%changelog
* Mon Nov 04 2024 daviddavid <daviddavid> 1.7.2-2.mga10
+ Revision: 2112392
- switch to pyproject
- relax setuptools dependency
- use a named-versioned git tarball

* Sun Nov 03 2024 papoteur <papoteur> 1.7.2-1.mga10
+ Revision: 2112312
- new version 1.7.2
- does not provide wbemcli anymore

* Sun Feb 11 2024 daviddavid <daviddavid> 0.15.0-4.mga10
+ Revision: 2040331
- rebuild for py3.12

* Tue Mar 29 2022 umeabot <umeabot> 0.15.0-3.mga9
+ Revision: 1831958
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 tv <tv> 0.15.0-2.mga9
+ Revision: 1775582
- Rebuild for python-3.10

* Sun Mar 21 2021 tv <tv> 0.15.0-1.mga9
+ Revision: 1706605
- 0.15.0

* Tue Sep 08 2020 tv <tv> 0.14.6-1.mga8
+ Revision: 1623524
- imported package pywbem


* Tue Sep 08 2020 Thierry Vignaud <tv@mageia.org> 0.14.6-1.mga8
- import from FC
